CREATE procedure [C6StagingPeriodico].[RP_ST_Cono_20170118] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Cono',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_CONO 
	insert into C6StagingPeriodico.RP_CONO 
	select
	prog.chiaveprogetto,
	dtriferimento,
	a.chiaveConsulenza,
	a.Area,
	quantileSup,
	quantileInf,
	quantileInter
	from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.Cono c
	inner join [CONSUNI_PERIODICO].[consulenzaUnica].dbo.progetto prog
	on c.chiaveprogetto = prog.chiaveprogetto
	inner join [CONSUNI_PERIODICO].[consulenzaUnica].dbo.Area a 
	on prog.chiaveArea = a.ChiaveArea
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Cono' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Cono'
		)
end